Page MenuHomePhabricator

[mlir][Attribute] Remove usages of Attribute::getKind
ClosedPublic

Authored by rriddle on Aug 5 2020, 3:50 PM.

Details

Summary

This is in preparation for removing the use of "kinds" within attributes and types in MLIR.

Depends On D85356

Diff Detail

Event Timeline

rriddle created this revision.Aug 5 2020, 3:50 PM
rriddle requested review of this revision.Aug 5 2020, 3:50 PM
jdoerfert resigned from this revision.Aug 5 2020, 8:29 PM

wrong attribute file ;)

mehdi_amini accepted this revision.Aug 5 2020, 9:21 PM
mehdi_amini added inline comments.
mlir/include/mlir/IR/Attributes.h
1509

Clang-format?

This revision is now accepted and ready to land.Aug 5 2020, 9:21 PM
bondhugula added inline comments.
mlir/lib/IR/AsmPrinter.cpp
1075

Nit: prefer avoiding auto here.

rriddle updated this revision to Diff 283738.Aug 6 2020, 2:45 PM
rriddle marked 2 inline comments as done.

Resolve comments

This revision was landed with ongoing or failed builds.Aug 7 2020, 1:44 PM
This revision was automatically updated to reflect the committed changes.